angular.module("umbraco").controller("UmbracoForms.SettingTypes.EmailTemplatePicker",
	function ($scope, pickerResource) {

	    $scope.openTreePicker = function() {

			$scope.treePickerOverlay = {
				view: "treepicker",
				treeAlias: "emailTemplates",
				section:"forms",
				entityType: "email-template",
				multiPicker: false,
				show: true,
				onlyInitialized: false,
				select: function(node){
					 pickerResource.getVirtualPathForEmailTemplate(node.id).then(function (response) {
						 //Set the picked template file path as the setting value
						$scope.setting.value = response.data.path;
					 });

                	$scope.treePickerOverlay.show = false;
                    $scope.treePickerOverlay = null;
                },
                close: function (model) {
                    // close dialog
                    $scope.treePickerOverlay.show = false;
                    $scope.treePickerOverlay = null;
                }
			};

	    };

	});
