angular.module("umbraco.directives")
    .directive('umbFormsOverlay', function () {
        return {
            restrict: 'A',
            link: function (scope, el, attrs, ctrl) {
                var margin = 50,
                winHeight = $(window).height(),
                
                calculate = _.throttle(function(){
                    if(el){
                        //detect bottom fold
                        var bottom_dif = (el.offset().top + el.height() + margin) - winHeight;
                        if(bottom_dif > 0){

                            $(el).css('margin-top', function (index, curValue) {
                                return parseInt(curValue, 10) - bottom_dif + 'px';
                            });
                        }else{
                            //else detect top fold           
                        }
                    }
                }, 1000);

                //On resize, make sure to check the overlay
                $(window).bind("resize", function () {
                   winHeight = $(window).height();
                   calculate();
                });
            }
        };
    });