angular.module('umbraco.filters').filter('relativeDate', function($filter) {

     return function (input) {
        
        var now = moment();
        //Hack: Removing the Z so that moment doesn't apply an offset to the time when parsing it
        var parseDate = moment(input.replace("Z", ""));
        
        //Check the date is valid
        if(parseDate.isValid() === false){
            //Parse the value through the default date filter with the value & setting the param/format to medium {{ value | date:'medium' }}
            return $filter('date')(input, 'medium');
        }

        return parseDate.from(now);;
    };

});
