﻿function securityResource($http) {

    var apiRoot = "backoffice/UmbracoForms/FormSecurity/";

    return {
        getByUserId: function (userId) {
            return $http.get(apiRoot + "GetByUserId?userId=" + userId);
        },

        save: function (userSecurity) {
            return $http.post(apiRoot + "PostSave", userSecurity);
        }
    };
}

angular.module('umbraco.resources').factory('securityResource', securityResource);