﻿/**
    * @ngdoc service
    * @name umbraco.resources.themePickerResource
    * @description Used for picking Umbraco Forms with the Form Picker Property Editor
    **/
function themePickerResource($http, umbRequestHelper) {
    //the factory object returned

    //TODO: Use the same way way in core to register URLs in Global Umbraco.Sys.ServerVariables
    var apiRoot = "backoffice/UmbracoForms/ThemePicker/";

    return {
       
        getThemes : function(){
            return umbRequestHelper.resourcePromise(
                $http.get(apiRoot + 'GetThemes'),
                "Failed to retrieve Form Themes to pick"
            );
        }
    };
}

angular.module('umbraco.resources').factory('themePickerResource', themePickerResource);
